## GocCircle

GocCircle — Circle.

## Properties

double | radius | Read / Write
double | x | Read / Write
double | y | Read / Write

## Types and Values

| GocCircle
typedef | GocCircleClass

## Object Hierarchy

        GObject
        ╰── GocItem
            ╰── GocStyledItem
                ╰── GocCircle

## Implemented Interfaces

GocCircle implements GOStyledObject.

## Description

GocCircle implements circle drawing in the canvas.

## Functions

## Types and Values

### GocCircle

    typedef struct _GocCircle GocCircle;

### GocCircleClass

    typedef GocStyledItemClass GocCircleClass;

## Property Details

### The `“radius”` property

      “radius”                   double

The circle radius.

Owner: GocCircle

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“x”` property

      “x”                        double

The circle center horizontal position.

Owner: GocCircle

Flags: Read / Write

Default value: 0

### The `“y”` property

      “y”                        double

The circle center vertical position.

Owner: GocCircle

Flags: Read / Write

Default value: 0